Subject: Re: [RFC] net: macb: enable IPv6 support for TSO

From: Zuoqian <[email-masked]>
Date: Tue, 21 Oct 2025 03:11:27 +0000

On Mon, Oct 20, 2025 at 09:01:13PM +0200, Andrew Lunn wrote:
> On Mon, Oct 20, 2025 at 09:55:08AM +0000, zuoqian wrote:
> > New Cadence GEM hardware support TSO for both ipv4 and IPv6 protocols,
> 
> What about the 'Old' Cadence GEM hardware? I'm assuming you mean
> something by New here. So it would be good to make a comment something
> like that IPv4 and IPv6 TSO was added at the same time. So if IPv4 TSO
> is supported, IPv6 TSO should also be supported, so there is no danger
> of regressions with older GEM hardware.
>
Thank you for your suggestion. 
The Cadence GEM hardware I'm using supports both IPv4 and IPv6 TSO.
However, I'm uncertain whether the driver's initial support only for
IPv4 TSO implies that older hardware versions exist which solely support
IPv4 TSO.
> > Signed-off-by: zuoqian <[email-masked]>
> 
> This means you are agreeing to:
> 
> https://docs.kernel.org/process/submitting-patches.html#developer-s-certificate-of-origin-1-1
> 
> However, we say "using a known identity", since this is a legal
> statement. I don't think zuoqian qualifies. Please you a full name
> here.
> 
>     Andrew
> 
> ---
> pw-bot: cr
Regarding the identity verification, "zuoqian" is indeed my legal full
name.

Regards,
Zuoqian